Loading...
Searching...
No Matches
field_expr_v2_variational_binary_binded< BinaryFunction, NLExpr, VFExpr >

## Detailed Description

template<class BinaryFunction, class NLExpr, class VFExpr>
class rheolef::details::field_expr_v2_variational_binary_binded< BinaryFunction, NLExpr, VFExpr >

Definition at line 925 of file field_expr_variational.h.

## Classes

struct | evaluate_call_check
struct | evaluate_call_check< Result, Arg1, Arg2, std::true_type >
struct | evaluate_switch
struct | evaluate_switch< This, Result, Arg1, Arg2, std::false_type, std::false_type >
struct | evaluate_switch< This, Result, Arg1, Arg2, std::false_type, std::true_type >
struct | evaluate_switch< This, Result, Arg1, Arg2, std::true_type, std::false_type >
struct | evaluate_switch< This, Result, Arg1, Arg2, std::true_type, std::true_type >
struct | hint

## Public Types

typedef geo_element::size_type | size_type
typedef promote_memory< typenameNLExpr::memory_type, typenameVFExpr::memory_type >::type | memory_type
typedef details::generic_binary_traits< BinaryFunction >::template result_hint< typenameNLExpr::value_type, typenameVFExpr::value_type >::type | result_hint
typedef details::generic_binary_traits< BinaryFunction >::template hint< typenameNLExpr::value_type, typenameVFExpr::value_type, result_hint >::result_type | value_type
typedef scalar_traits< value_type >::type | scalar_type
typedef float_traits< value_type >::type | float_type
typedef space_basic< scalar_type, memory_type > | space_type
typedef VFExpr::vf_tag_type | vf_tag_type
typedef details::dual_vf_tag< vf_tag_type >::type | vf_dual_tag_type
typedef field_expr_v2_variational_binary_binded< BinaryFunction, NLExpr, VFExpr > | self_type
typedef field_expr_v2_variational_binary_binded< BinaryFunction, NLExpr, typename VFExpr::dual_self_type > | dual_self_type

## Public Member Functions

| field_expr_v2_variational_binary_binded (const BinaryFunction &f, const NLExpr &nl_expr, const VFExpr &vf_expr)
| field_expr_v2_variational_binary_binded (const field_expr_v2_variational_binary_binded< BinaryFunction, NLExpr, VFExpr > &x)
const space_type & | get_vf_space () const
space_constant::valued_type | valued_tag () const
size_type | n_derivative () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
void | initialize (const band_basic< float_type, memory_type > &gh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
template<class Result , class Arg1 , class Arg2 >
void | evaluate_internal (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Result , class Arg1 , class Arg2 >
void | evaluate_on_side_internal (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const side_information_type &sid, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value, bool do_local_component_assembly) const
template<class Result >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Result >
void | evaluate_on_side (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const side_information_type &sid, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value, bool do_local_component_assembly) const
template<class Value >
void | local_dg_merge_on_side (const geo_basic< float_type, memory_type > &omega_K, const geo_element &S, const geo_element &K0, const geo_element &K1, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value0, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value1, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Result >
void | valued_check () const

## Static Public Member Functions

static bool | have_test_space ()

## Public Attributes

BinaryFunction | _f
NLExpr | _nl_expr
VFExpr | _vf_expr

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::valued_tag_traits<value_type>::value

## Member Typedef Documentation

## size_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef geo_element::size_type size_type

Definition at line 929 of file field_expr_variational.h.

## memory_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef promote_memory<typenameNLExpr::memory_type,typenameVFExpr::memory_type>::type memory_type

Definition at line 931 of file field_expr_variational.h.

## result_hint

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef details::generic_binary_traits<BinaryFunction>::template result_hint<typenameNLExpr::value_type,typenameVFExpr::value_type>::type result_hint

Definition at line 934 of file field_expr_variational.h.

## value_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef details::generic_binary_traits<BinaryFunction>::template hint<typenameNLExpr::value_type,typenameVFExpr::value_type,result_hint>::result_type value_type

Definition at line 938 of file field_expr_variational.h.

## scalar_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef scalar_traits<value_type>::type scalar_type

Definition at line 939 of file field_expr_variational.h.

## float_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef float_traits<value_type>::type float_type

Definition at line 940 of file field_expr_variational.h.

## space_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef space_basic<scalar_type,memory_type> space_type

Definition at line 941 of file field_expr_variational.h.

## vf_tag_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef VFExpr::vf_tag_type vf_tag_type

Definition at line 942 of file field_expr_variational.h.

## vf_dual_tag_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef details::dual_vf_tag<vf_tag_type>::type vf_dual_tag_type

Definition at line 944 of file field_expr_variational.h.

## self_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef field_expr_v2_variational_binary_binded<BinaryFunction,NLExpr,VFExpr> self_type

Definition at line 945 of file field_expr_variational.h.

## dual_self_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef field_expr_v2_variational_binary_binded<BinaryFunction,NLExpr,typename VFExpr::dual_self_type> dual_self_type

Definition at line 947 of file field_expr_variational.h.

## Constructor & Destructor Documentation

## field_expr_v2_variational_binary_binded() [1/2]

template<class BinaryFunction , class NLExpr , class VFExpr >

field_expr_v2_variational_binary_binded | ( | const BinaryFunction & | f,
|  | const NLExpr & | nl_expr,
|  | const VFExpr & | vf_expr
| ) |  |

Definition at line 951 of file field_expr_variational.h.

## field_expr_v2_variational_binary_binded() [2/2]

template<class BinaryFunction , class NLExpr , class VFExpr >

field_expr_v2_variational_binary_binded | ( | const field_expr_v2_variational_binary_binded< BinaryFunction, NLExpr, VFExpr > & | x | ) |

Definition at line 959 of file field_expr_variational.h.

## Member Function Documentation

## have_test_space()

template<class BinaryFunction , class NLExpr , class VFExpr >

static bool have_test_space | ( |  | ) |

static

Definition at line 967 of file field_expr_variational.h.

## get_vf_space()

template<class BinaryFunction , class NLExpr , class VFExpr >

const space_type & get_vf_space | ( |  | ) | const

Definition at line 968 of file field_expr_variational.h.

## valued_tag()

template<class BinaryFunction , class NLExpr , class VFExpr >

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 970 of file field_expr_variational.h.

## n_derivative()

template<class BinaryFunction , class NLExpr , class VFExpr >

size_type n_derivative | ( |  | ) | const

Definition at line 973 of file field_expr_variational.h.

## initialize() [1/2]

template<class BinaryFunction , class NLExpr , class VFExpr >

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 977 of file field_expr_variational.h.

## initialize() [2/2]

template<class BinaryFunction , class NLExpr , class VFExpr >

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 981 of file field_expr_variational.h.

## evaluate_internal()

template<class BinaryFunction , class NLExpr , class VFExpr >
template<class Result , class Arg1 , class Arg2 >

void evaluate_internal | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 1048 of file field_expr_variational.h.

## evaluate_on_side_internal()

template<class BinaryFunction , class NLExpr , class VFExpr >
template<class Result , class Arg1 , class Arg2 >

void evaluate_on_side_internal | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value,
|  | bool | do_local_component_assembly
| ) |  | const

Definition at line 1060 of file field_expr_variational.h.

## evaluate()

template<class BinaryFunction , class NLExpr , class VFExpr >
template<class Result >

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 1313 of file field_expr_variational.h.

## evaluate_on_side()

template<class BinaryFunction , class NLExpr , class VFExpr >
template<class Result >

void evaluate_on_side | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value,
|  | bool | do_local_component_assembly
| ) |  | const

Definition at line 1328 of file field_expr_variational.h.

## local_dg_merge_on_side()

template<class BinaryFunction , class NLExpr , class VFExpr >
template<class Value >

void local_dg_merge_on_side | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | S,
|  | const geo_element & | K0,
|  | const geo_element & | K1,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value0,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value1,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 1345 of file field_expr_variational.h.

## valued_check()

template<class BinaryFunction , class NLExpr , class VFExpr >
template<class Result >

void valued_check | ( |  | ) | const

Definition at line 1357 of file field_expr_variational.h.

## Member Data Documentation

## valued_hint

template<class BinaryFunction , class NLExpr , class VFExpr >

const space_constant::valued_type valued_hint = space_constant::valued_tag_traits<value_type>::value

static

Definition at line 969 of file field_expr_variational.h.

## _f

template<class BinaryFunction , class NLExpr , class VFExpr >

BinaryFunction _f

Definition at line 1365 of file field_expr_variational.h.

## _nl_expr

template<class BinaryFunction , class NLExpr , class VFExpr >

NLExpr _nl_expr

Definition at line 1366 of file field_expr_variational.h.

## _vf_expr

template<class BinaryFunction , class NLExpr , class VFExpr >

VFExpr _vf_expr

Definition at line 1367 of file field_expr_variational.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_expr_variational.h